{ config, ... }:
{
  hm.programs.kitty =
    let
      inherit (config) rice;
    in
    {
      enable = true;
      font = {
        inherit (rice.fonts.monospace) name size;
      };
      settings = with rice.palette.hex; {
        foreground = util.fg;
        background = util.bg;
        inherit (util) cursor;
        cursor_text = util.bg;
        selection_foreground = util.fg_sel;
        selection_background = util.bg_sel;
        color0 = normal.black;
        color1 = normal.red;
        color2 = normal.green;
        color3 = normal.yellow;
        color4 = normal.blue;
        color5 = normal.magenta;
        color6 = normal.cyan;
        color7 = normal.white;
        color8 = bright.black;
        color9 = bright.red;
        color10 = bright.green;
        color11 = bright.yellow;
        color12 = bright.blue;
        color13 = bright.magenta;
        color14 = bright.cyan;
        color15 = bright.white;
        sync_to_monitor = "yes";
        shell = "fish";
        cursor_trail = 100;
      };
    };

}
